Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class AreaAdditionUtil

    java.lang.Object
      org.apache.fop.layoutmgr.AreaAdditionUtil

public class AreaAdditionUtil
extends java.lang.Object

Utility class which provides common code for the addAreas stage.

Constructor Summary
`AreaAdditionUtil()`

Method Summary
`static void` | `addAreas(BlockStackingLayoutManager bslm, PositionIterator parentIter, LayoutContext layoutContext)` Creates the child areas for the given layout manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AreaAdditionUtil

    public AreaAdditionUtil()

Method Detail

### addAreas

    public static void addAreas(BlockStackingLayoutManager bslm,
                                PositionIterator parentIter,
                                LayoutContext layoutContext)

  Creates the child areas for the given layout manager.

  Parameters:
    `bslm` - the BlockStackingLayoutManager instance for which "addAreas" is performed.
    `parentIter` - the position iterator
    `layoutContext` - the layout context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.